Package org.apache.ignite.internal.management.tracing

## Class AbstractTracingConfigurationCommand

- java.lang.Object
- - org.apache.ignite.internal.management.tracing.AbstractTracingConfigurationCommand

All Implemented Interfaces:
  `Command<TracingConfigurationCommand.TracingConfigurationCommandArg,​TracingConfigurationTaskResult>`, `ComputeCommand<TracingConfigurationCommand.TracingConfigurationCommandArg,​TracingConfigurationTaskResult>`

Direct Known Subclasses:
  `TracingConfigurationGetAllCommand`, `TracingConfigurationGetCommand`, `TracingConfigurationResetAllCommand`, `TracingConfigurationResetCommand`, `TracingConfigurationSetCommand`

    public abstract class AbstractTracingConfigurationCommand
    extends Object
    implements ComputeCommand<TracingConfigurationCommand.TracingConfigurationCommandArg,​TracingConfigurationTaskResult>

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.management.api.Command

`CMD_NAME_POSTFIX`

### Constructor Summary

Constructors
`AbstractTracingConfigurationCommand()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Collection<GridClientNode>` `nodes​(Collection<GridClientNode> nodes, TracingConfigurationCommand.TracingConfigurationCommandArg arg)`
`void` `printResult​(TracingConfigurationCommand.TracingConfigurationCommandArg arg, TracingConfigurationTaskResult res, Consumer<String> printer)` Prints command result to the user.
`Class<TracingConfigurationTask>` `taskClass()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.management.api.Command

`argClass, confirmationPrompt, deprecationMessage, description`

### Methods inherited from interface org.apache.ignite.internal.management.api.ComputeCommand

`handleException`

### Constructor Detail

#### AbstractTracingConfigurationCommand

    public AbstractTracingConfigurationCommand()

### Method Detail

#### nodes

    public Collection<GridClientNode> nodes​(Collection<GridClientNode> nodes,
                                            TracingConfigurationCommand.TracingConfigurationCommandArg arg)

Specified by:
  `nodes` in interface `ComputeCommand<TracingConfigurationCommand.TracingConfigurationCommandArg,​TracingConfigurationTaskResult>`
Parameters:
  `nodes` - Live nodes.
  `arg` - Argument.
Returns:
  nodes to execute command on, `null` means default node must be used.

#### taskClass

    public Class<TracingConfigurationTask> taskClass()

Specified by:
  `taskClass` in interface `ComputeCommand<TracingConfigurationCommand.TracingConfigurationCommandArg,​TracingConfigurationTaskResult>`
Returns:
  Task class.

#### printResult

    public void printResult​(TracingConfigurationCommand.TracingConfigurationCommandArg arg,
                            TracingConfigurationTaskResult res,
                            Consumer<String> printer)

Prints command result to the user.

Specified by:
  `printResult` in interface `ComputeCommand<TracingConfigurationCommand.TracingConfigurationCommandArg,​TracingConfigurationTaskResult>`
Parameters:
  `arg` - Argument.
  `res` - Result.
  `printer` - Implementation specific printer.